routes/web.php
    Route::get('content-liked', [HomeController::class,'content_liked'])->name('content-liked');
    Route::get('content-disliked', [HomeController::class,'content_disliked'])->name('content-disliked');
    Route::get('content-my-list', [HomeController::class,'content_my_list'])->name('content-my-list');
    Route::get('/notifications',[HomeController::class,'notifications'])->name('notifications');
});

    

//social login
Route::get('/facebook', [SocialLoginController::class, 'redirectToFacebook'])->name('facebook');
Route::get('/facebook/callback', [SocialLoginController::class, 'handleFacebookCallback']);
Route::get('auth/google', [SocialLoginController::class, 'redirectToGoogle'])->name('google');
Route::get('google/callback', [SocialLoginController::class, 'handleGoogleCallback']);


// apple login 
Route::get('auth/apple', [AppleSocialController::class, 'redirectToApple'])->name('apple');
Route::any('apple/callback', [AppleSocialController::class, 'handleCallback'])->name('apple.callback');

Route::get('/subscription/create', ['as'=>'home','uses'=>'SubscriptionController@index'])->name('subscription.create');
Route::post('order-post', ['as'=>'order-post','uses'=>'SubscriptionController@orderPost']);

Route::get('about-us', 'Api\DocumentController@about_us');
/*Route::get('contact-us', 'Api\DocumentController@contact_us');
Route::get('privacy-notice', 'Api\DocumentController@privacy_notice');
Route::get('term-of-service', 'Api\DocumentController@term_of_service');*/


Route::get('streaming', 'CommonController@streaming');

Route::post('add-channel-id', 'CommonController@add_channel_id');
Route::get('account-activation/{id}', 'CommonController@account_activation');
Route::any('create/password/{id}/{token}', 'CommonController@craete_password')->name('create.password');
Route::get('auth-account-activation/{id}', 'CommonController@auth_account_activation');

//Route::post('forgot/password', 'CommonController@forgot_password')->name('forgot_password');

Route::get('terms-conditions', 'CommonController@terms_conditions');
Route::get('privacy-policy', 'CommonController@privacy_policy');
Route::get('loyalty-reward-terms-condition', 'CommonController@loyalty_reward_terms_condition');
Route::get('logs/{id}', 'CommonController@activity_log');

Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['auth', 'admin']], function () {

    Route::get('profile', 'ProfileController@view')->name('profile');
    Route::post('profile-update/{id}', 'ProfileController@update')->name('profile.update');

    Route::post('change-password/{id}', 'ProfileController@changePassword')->name('change.password');

    Route::get('/contenttags/{type}', 'ExportController@contenttags')->name('contenttags.export');
    Route::get('/users/{type}', 'ExportController@users')->name('users.export');
    Route::get('/genres/{type}', 'ExportController@genres')->name('genres.export');
    Route::get('/casting/{type}', 'ExportController@casting')->name('casting.export');
    Route::get('/artists/{type}', 'ExportController@artists')->name('artists.export');
    Route::get('/age/{type}', 'ExportController@age')->name('age.export');
    Route::get('/plan_managment/{type}', 'ExportController@plan_managment')->name('plan_managment.export');
    Route::get('/plan_features/{type}', 'ExportController@plan_features')->name('plan_features.export');
    Route::get('/payment_records/{type}', 'ExportController@payment_records')->name('payment_records.export');
    Route::get('/contents/{type}', 'ExportController@contents')->name('contents.export');
    Route::get('/seasons/{type}', 'ExportController@seasons')->name('seasons.export');
    Route::get('/videos/{type}', 'ExportController@videos')->name('videos.export');
    Route::get('/faqs/{type}', 'ExportController@faqs')->name('faqs.export');
    Route::get('/feedbacks/{type}', 'ExportController@feedbacks')->name('feedbacks.export');
    Route::get('/multi_language_management/{type}', 'ExportController@multi_language_management')->name('multi_language_management.export');
    
    Route::get('dashboard', 'DashboardController@index')->name('dashboard');
    Route::get('s3bucket', 'DashboardController@s3bucket')->name('s3bucket');
    Route::get('support', 'DashboardController@support_chat')->name('support');
    Route::get('get_chat_history_data', 'DashboardController@get_chat_history_data')->name('get_chat_history_data');   
    Route::post('reply_chat', 'DashboardController@reply_chat')->name('reply_chat');   
    Route::get('users', 'UserController@index')->name('users.index');
    Route::get('users/show/{id}', 'UserController@show')->name('user.show');
    Route::get('users/edit/{id}', 'UserController@edit')->name('user.edit');
    Route::put('users/update/{id}', 'UserController@update')->name('user.update');
    Route::get('users/destroy/{id}', 'UserController@edit')->name('user.destroy');
    Route::post('active_deactive','UserController@active_deactive')->name('active_deactive');
    Route::post('restore_account','UserController@restore_account')->name('restore_account');

    Route::post('active_deactive_genre','CategoryController@active_deactive_genre')->name('active_deactive_genre');
      
    Route::resource('category',CategoryController::class);
    Route::resource('season',SeasonController::class);
    Route::resource('ratings',AgeRatingController::class);
    Route::resource('tags',TagController::class);
    
    Route::resource('artist',ArtistController::class);
    Route::resource('genre',GenreController::class);
    Route::resource('cast',CastTypeController::class);
    Route::resource('plan',PlanController::class);  
    Route::resource('currency',CurrencyController::class);  
    Route::resource('country',CountryController::class);  
    Route::resource('price',PriceController::class);  
    Route::resource('attribute',AttributeController::class);  
    Route::resource('contactus',ContactUsController::class);    
    Route::resource('issue',IssueController::class);    
    Route::resource('content',ContentController::class);    
    Route::resource('video',VideoController::class);    
    Route::resource('faq',FaqController::class);    
    Route::resource('feedback',FeedbackController::class);    
    Route::resource('ask-to-us',AskToUsController::class);    
    Route::resource('multilanguage',MultiLanguageKeyController::class);    
    Route::resource('payment_history',PaymentHistoryController::class);    

    // Route::get('tags', TagController::class,['names' => 'tags.export'])->only(['tagsExport']);
    // Route::get('tags/{type}', TagController::class,['names' => 'tags.export'])->only(['tagsExport']);
        
    Route::post('import', 'ContentController@import')->name('import');
    Route::any('adv_content_change', 'ContentController@adv_content_change')->name('adv_content_change');
    Route::any('movie_adv_content_change', 'ContentController@movie_adv_content_change')->name('movie_adv_content_change');
    Route::get('get_season_data', 'VideoController@get_season_data')->name('get_season_data');   
    Route::post('trailer_file_upload', 'ContentController@trailer_file_upload')->name('trailer_file_upload');   
    Route::post('chunk_file_upload', 'VideoController@chunk_file_upload')->name('chunk_file_upload');   
    Route::post('active_deactive_faq','FaqController@active_deactive_faq')->name('active_deactive_faq');

    Route::get('plan/manageattr/{id}', 'PlanController@manageattr')->name('plan.manageattr');   
    Route::post('plan/attr_update/{id}', 'PlanController@attr_update')->name('plan.attr_update');   
    
    Route::post('product/addstore/{id}', 'ProductController@addstore')->name('product.addstore');   
    Route::get('remove_product_store/{id}', 'ProductController@remove_product_store')->name('remove_product_store');   
    Route::post('save_product_store', 'ProductController@save_product_store')->name('save_product_store');   
    Route::post('active_deactive_product','ProductController@active_deactive_product')->name('active_deactive_product');
    Route::post('get_image','ProductController@get_image')->name('get_image');

    Route::post('order_notification_customer','OrderController@order_notification_customer')->name('order_notification_customer');
    
    Route::get('reported/issue','IssueController@reported_issue_index')->name('reported.issue');
    Route::get('bulk/notification',[NotificationController::class,'index'])->name('bulk.index');
    Route::post('bulk/notification',[NotificationController::class,'store'])->name('bulk.store');
    
    Route::get('system/config','SystemConfigController@index')->name('system.config');
    Route::post('system/config/submit','SystemConfigController@update')->name('system.config.submit');
    Route::post('system/config/backup','SystemConfigController@update')->name('system.config.backup');
    Route::post('system/config/download','SystemConfigController@update')->name('system.config.download');
    Route::post('system/config/delete_backup','SystemConfigController@update')->name('system.config.delete_backup');
    
    Route::get('app/config','SystemConfigController@app')->name('app.config');
    Route::post('app/config/submit','SystemConfigController@submit_app')->name('app.config.submit');

    Route::get('report/all_report','ReportController@index')->name('report.all');

    Route::post('refund','OrderController@refund_test')->name('refund');
    Route::any('send-mail-customer',[SendMailController::class,'customer'])->name('mail.customer');
    Route::any('send-notification-customer',[SendMailController::class,'customer_notification'])->name('notification.customer');

    Route::any('terms-conditions',[CMSController::class,'terms_conditions'])->name('terms_conditions');
    Route::any('privacy-policy',[CMSController::class,'privacy_policy'])->name('privacy_policy');

app/Models/AgeRatings.php
<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\Translatable\HasTranslations;

class AgeRatings extends Model
{
    use HasFactory, SoftDeletes, HasTranslations;
    public $timestamps = false;
    protected $table = 'age_ratings';
    protected $fillable = [
        'name',
        'age',
        'children',
        'description'
    ];

    public $translatable = ['name','description'];

    protected $hidden = [
        'created_at',
        'updated_at',
        'deleted_at'
    ];

    public function content() {
        return $this->hasMany('App\Models\Content','age_rating_id','id');
    }
}

resources/views/admin/pages/ageratings/index.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminagerating')}}
                </div>
                <h4 class="page-title">{{$dateTableTitle}}</h4>
            </div>
            <div class="btn-group float-right mt-2 mb-2">
                    <a href="{{$addUrl}}"  class="btn btn-sm btn-secondary waves-effect waves-light mr-2">
                    <span class="btn-label">
                        <i class="fa fa-plus"></i>
                    </span>
                    Add
                </a>
                <a type="button" target="_blank" href="{{ route('admin.age.export',['type'=>'excel']) }}"
                    class="btn btn-sm btn-secondary waves-effect waves-light mr-2">XLSX Export</a>
                <a type="button" target="_blank" href="{{ route('admin.age.export',['type'=>'csv']) }}"
                    class="btn btn-sm btn-secondary waves-effect waves-light mr-2">CSV Export</a>
                <a type="button" target="_blank" href="{{ route('admin.age.export',['type'=>'pdf']) }}"
                    class="btn btn-sm btn-secondary waves-effect waves-light mr-2">PDF Export</a>
            </div>
		</div>
	</div>
    @include('admin.include.flash-message')
	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
					@include('admin.include.table')
				</div>
			</div>	
		</div>
	</div>
</div>


@endsection
@section('script')
@include('admin.include.table_script')
@endsection		

resources/views/admin/pages/ageratings/post.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-md-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminaddagerating')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
        </div>
	</div>
	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
                <form action="{{ route('admin.ratings.store') }}" method="POST">
                @csrf
                @method('POST')

                    <div class="row">
                          
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_en">Name English<span class="text-danger">*</span></label>
                                <input type="text" name="name_en" parsley-trigger="change" value="{{old('name_en')}}" required placeholder="Enter English Name" class="form-control" id="name_en">
                                @error('name_en')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div> 

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_en">Description English</label>
                                <textarea name="description_en" parsley-trigger="change" placeholder="Enter English Description" class="form-control" id="description_en">{{old('description_en')}}</textarea>
                                @error('description_en')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_md">Name Mandarin<span class="text-danger">*</span></label>
                                <input type="text" name="name_md" parsley-trigger="change" value="{{old('name_md')}}" required placeholder="Enter Mandarin Name" class="form-control" id="name_md">
                                @error('name_md')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_md">Description Mandarin</label>
                                <textarea name="description_md" parsley-trigger="change" placeholder="Enter Mandarin Description" class="form-control" id="description_md">{{old('description_md')}}</textarea>
                                @error('description_md')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_hi">Name Hindi<span class="text-danger">*</span></label>
                                <input type="text" name="name_hi" parsley-trigger="change" value="{{old('name_hi')}}" required placeholder="Enter Hindi Name" class="form-control" id="name_hi">
                                @error('name_hi')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_hi">Description Hindi</label>
                                <textarea name="description_hi" parsley-trigger="change" placeholder="Enter Hindi Description" class="form-control" id="description_hi">{{old('description_hi')}}</textarea>
                                @error('description_hi')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_sp">Name Spanish<span class="text-danger">*</span></label>
                                <input type="text" name="name_sp" parsley-trigger="change" value="{{old('name_sp')}}" required placeholder="Enter Spanish Name" class="form-control" id="name_sp">
                                @error('name_sp')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_sp">Description Spanish</label>
                                <textarea name="description_sp" parsley-trigger="change" placeholder="Enter Spanish Description" class="form-control" id="description_sp">{{old('description_sp')}}</textarea>
                                @error('description_sp')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_fr">Name French<span class="text-danger">*</span></label>
                                <input type="text" name="name_fr" parsley-trigger="change" value="{{old('name_fr')}}" required placeholder="Enter French Name" class="form-control" id="name_fr">
                                @error('name_fr')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_fr">Description French</label>
                                <textarea name="description_fr" parsley-trigger="change" placeholder="Enter French Description" class="form-control" id="description_fr">{{old('description_fr')}}</textarea>
                                @error('description_fr')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name">For Children?</label>
                                <label class="switch">
                                  <input type="checkbox" name="children" class="form-control">
                                  <span class="slider round"></span>
                                </label>
                                @error('status')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                    </div>
                    <div class="form-group text-right m-b-0">
                        <button class="btn btn-primary waves-effect waves-light" type="submit">
                            Submit
                        </button>
                        <a href="{{ route('admin.ratings.index') }}" class="btn btn-secondary waves-effect m-l-5">Cancel</a>
                    </div>

                </form>

				</div>
			</div>	
		</div>
	</div>
</div>
@endsection

resources/views/admin/pages/ageratings/put.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('admineditagerating')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
		</div>
	</div>
	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
                <form action="{{ route('admin.ratings.update',$ageRating->id) }}" method="POST">
                @csrf
                @method('PUT')

                @php
                $name = $ageRating->getTranslations('name');
                $description = $ageRating->getTranslations('description');
                @endphp
                
                    <div class="row">
                        

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_en">Name English<span class="text-danger">*</span></label>
                                <input type="text" name="name_en" parsley-trigger="change" value="{{$name['en']}}" required placeholder="Enter English Name" class="form-control" id="name_en">
                                @error('name_en')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_en">Description English</label>
                                <textarea name="description_en" parsley-trigger="change" placeholder="Enter English Description" class="form-control" id="description_en">{{!empty($description['en'])?$description['en']:''}}</textarea>
                                @error('description_en')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_md">Name Mandarin<span class="text-danger">*</span></label>
                                <input type="text" name="name_md" parsley-trigger="change" value="{{$name['md']}}" required placeholder="Enter Mandarin Name" class="form-control" id="name_md">
                                @error('name_md')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_md">Description Mandarin</label>
                                <textarea name="description_md" parsley-trigger="change" placeholder="Enter Mandarin Description" class="form-control" id="description_md" >{{!empty($description['md'])?$description['md']:''}}</textarea>
                                @error('description_md')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_hi">Name Hindi<span class="text-danger">*</span></label>
                                <input type="text" name="name_hi" parsley-trigger="change" value="{{$name['hi']}}" required placeholder="Enter Hindi Name" class="form-control" id="name_hi">
                                @error('name_hi')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_hi">Description Hindi</label>
                                <textarea name="description_hi" parsley-trigger="change" placeholder="Enter Hindi Description" class="form-control" id="description_hi" >{{!empty($description['hi'])?$description['hi']:''}}</textarea>
                                @error('description_hi')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_sp">Name Spanish<span class="text-danger">*</span></label>
                                <input type="text" name="name_sp" parsley-trigger="change" value="{{$name['sp']}}" required placeholder="Enter Spanish Name" class="form-control" id="name_sp">
                                @error('name_sp')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_sp">Description Spanish</label>
                                <textarea name="description_sp" parsley-trigger="change" placeholder="Enter Spanish Description" class="form-control" id="description_sp">{{!empty($description['sp'])?$description['sp']:''}}</textarea>
                                @error('description_sp')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name_fr">Name French<span class="text-danger">*</span></label>
                                <input type="text" name="name_fr" parsley-trigger="change" value="{{$name['fr']}}" required placeholder="Enter French Name" class="form-control" id="name_fr">
                                @error('name_fr')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="description_fr">Description French</label>
                                <textarea name="description_fr" parsley-trigger="change" placeholder="Enter French Description" class="form-control" id="description_fr">{{!empty($description['fr'])?$description['fr']:''}}</textarea>
                                @error('description_fr')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name">For Children?</label>
                                <label class="switch">
                                  <input type="checkbox" name="children" class="form-control" <?php if($ageRating->children == 1){ echo "checked"; } ?> >
                                  <span class="slider round"></span>
                                </label>
                                @error('status')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                    </div>

                    <div class="form-group text-right m-b-0">
                        <button class="btn btn-primary waves-effect waves-light" type="submit">
                            Submit
                        </button>
                        <a href="{{ route('admin.ratings.index') }}" class="btn btn-secondary waves-effect m-l-5">Cancel</a>
                    </div>
                </form>
				</div>
			</div>	
		</div>
	</div>
</div>
@endsection